## gracie 0.2.8

=== Makefile ===
#! /usr/bin/make -f

# Makefile
# Part of Gracie, an OpenID provider
#
# Copyright © 2007-2008 Ben Finney <ben+python@benfinney.id.au>
# This is free software; you may copy, modify and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied. See the file LICENSE for details.

# Makefile for Gracie project

SHELL = /bin/bash
PATH = /usr/bin:/bin

# Directories with semantic meaning
CODE_PACKAGE_DIRS := gracie
CODE_PROGRAM_DIR := bin
DOC_DIR := doc
TEST_DIR := test

# Variables that will be extended by module include files
GENERATED_FILES :=
CODE_MODULES :=
CODE_PROGRAMS :=

# List of modules (directories) that comprise our 'make' project
MODULES := ${CODE_PACKAGE_DIRS}
MODULES += ${CODE_PROGRAM_DIR}
MODULES += ${DOC_DIR}
MODULES += ${TEST_DIR}

RM = rm
MAKE_DIST_TARBALL=${CODE_PROGRAM_DIR}/make-dist-tarball


# Establish default goal
.PHONY: all
all:

# Include the make data for each module
include $(patsubst %,%/module.mk,${MODULES})


all: build

.PHONY: build
build:

.PHONY: dist
dist:
	$(MAKE_DIST_TARBALL)

.PHONY: install
install: build


include setuptools.mk

build: setuptools-build

.PHONY: bdist
bdist: setuptools-bdist

.PHONY: sdist
sdist: setuptools-sdist


.PHONY: clean
clean:
	$(RM) -rf ${GENERATED_FILES}
	find $(CURDIR) -name '*.pyc' -exec $(RM) {} +

clean: setuptools-clean


.PHONY: test
test:

.PHONY: qa
qa:

qa: setuptools-test


# Local Variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

## gracie 0.2.11

=== debian/changelog ===
gracie (0.2.11-1) unstable; urgency=high

  * Urgency ‘high’ to address reported bug of ‘grave’ severity.
  * New upstream version.
    + Keep the network socket open when becoming a daemon.
      (Closes: Bug#568385)
  * debian/control:
    * Conform to ‘Standards-Version: 3.8.4’. No additional changes needed.
    * Drop ‘Provides’ field, since a Python-versioned dependency should
      not be necessary (ref. ‘python-support’ documentation).

 -- Ben Finney <ben+debian@benfinney.id.au>  Sat, 20 Feb 2010 11:53:29 +1100

gracie (0.2.10-3) unstable; urgency=low

  * debian/gracie.init:
    + Require ‘$remote_fs’ during start and stop, for ‘/usr’ filesystem.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 14 Jan 2010 12:38:40 +1100

gracie (0.2.10-2) unstable; urgency=low

  * debian/control:
    + Switch ‘Homepage’ field to PyPI URL.
      (Closes: Bug#557089)
  * debian/source/format:
    + Declare source package format.
  * debian/copyright:
    + Conform to current draft DEP-5 format.

 -- Ben Finney <ben+debian@benfinney.id.au>  Tue, 12 Jan 2010 12:06:38 +1100

gracie (0.2.10-1) unstable; urgency=low

  * New upstream version.
    + Uses ‘python-daemon’ library for well-behaved daemon implementation.
    + Not so zealous with cleaning built files.
    + Builds documentation and logo from Distutils commands.
  * debian/gracie.default, debian/gracie.init:
    + Configure daemon start-up options discretely.
  * debian/gracie.init:
    + Specify PID file path for server.
  * debian/rules, debian/control, debian/pyversions, debian/preinst:
    + Switch to ‘python-support’ for Python package management.
  * debian/copyright:
    + Update for new copyright status and license grant.
    + Refer to specific license version in ‘/usr/share/common-licenses/’.
  * debian/control:
    + Refine Python build dependency.
    + Add ‘VCS-Browser’ field.
    + Add dependency on ‘python-daemon’.
    + Update to ‘Standards-Version: 3.8.3’ (no additional changes needed).
    + Switch dependency from ‘docbook-to-man’ to ‘docutils-writer-manpage’.
    + Add ‘Build-Depends’ for all packages required during build and test.
    + ‘Build-Depends: debhelper (>= 7.4.2)’ to avoid Bug#546293.
      (Closes: Bug#519623)
    + ‘Build-Depends: docutils-writer-manpage’ as the Distutils build now
      invokes the writer directly.
    + ‘Build-Depends: graphicsmagick’ as the Distutils build now uses
      those utilities explicitly.
  * debian/watch:
    + Tighten pattern for upstream source release URLs.
  * debian/docs, debian/doc-base:
    + Include logo and HTML documents in docs installation.
    + Register documentation with ‘doc-base’.
  * debian/gracied.8.sgml, debian/pycompat:
    + Remove unused files.

 -- Ben Finney <ben+debian@benfinney.id.au>  Mon, 05 Oct 2009 18:38:56 +1100

gracie (0.2.8-1) unstable; urgency=low

  * The "Cursed conflicting package management systems" release.
  * New upstream version.
    + Allow build outside context of VCS repository.
  * debian/watch:
    + Download upstream tarball without trailing garbage in filename.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 19 Sep 2008 22:34:14 +1000

gracie (0.2.7-1) unstable; urgency=medium

  * New upstream version.
    + Now declares version information as generated from VCS.
    + Distutils config doesn't require application to load, only version
      information.
  * debian/control:
    + Fix a FTBFS bug: Build-Depends on a version of debhelper that allows
      python-central to correctly manipulate the 'dh' sequences.
    + Add Vcs-Bzr field.
    + Add Homepage field.
    + Add all runtime libraries needed for test suite as Build-Depends.
  * debian/rules:
    + Simplify 'install' target by using default actions.
  * debian/dirs:
    + Latest 'python-central' no longer needs empty 'usr/bin/'.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 18 Sep 2008 17:09:19 +1000

gracie (0.2.6-2) unstable; urgency=high

  * First release post-ITP. Thanks, Leonardo Serra, for the help and
    inspiration!
    (closes: bug#498563)
  * debian/rules:
    + Fix debhelper configuration, to allow package to install.
    + Re-work for debhelper 7.
  * debian/control:
    + Update Standards-Version.
    + Update dependencies for new packaging.
  * debian/watch:
    + Add watch file.
  * debian/copyright:
    + Re-work for machine-parseable format.

 -- Ben Finney <ben+debian@benfinney.id.au>  Thu, 11 Sep 2008 18:19:45 +1000

gracie (0.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Ben Finney <ben+debian@benfinney.id.au>  Wed, 17 Oct 2007 16:02:01 +1000

gracie (0.2.3-1) unstable; urgency=low

  * Initial release.

 -- Ben Finney <ben+debian@benfinney.id.au>  Fri, 24 Aug 2007 10:47:31 +1000

=== debian/control ===
Source: gracie
Section: web
Priority: extra
Maintainer: Ben Finney <ben+debian@benfinney.id.au>
Build-Depends:
    debhelper (>= 7.4.2),
    python-support (>= 0.90),
    graphicsmagick,
    python-docutils (>= 0.3.9),
    docutils-writer-manpage,
    python-setuptools (>= 0.6b3),
    python-minimock (>= 1.2.2),
    python-openid (>= 1.2),
    python-daemon,
    python-lockfile,
    python-routes,
    python-pam,
    python
Standards-Version: 3.8.4
VCS-bzr: http://bzr.debian.org/bzr/collab-maint/gracie/gracie.debian/
VCS-Browser: http://bzr.debian.org/loggerhead/collab-maint/gracie/gracie.debian/
Homepage: http://pypi.python.org/pypi/gracie/

Package: gracie
Architecture: all
Depends:
    python-openid (>= 1.2),
    python-daemon,
    python-routes,
    python-pam,
    ${python:Depends}, ${misc:Depends}
Description: OpenID server for local PAM accounts
 Gracie is an OpenID server (a “provider” in OpenID terminology) that
 serves identities for the local system PAM accounts. It uses OpenID
 protocol version 1.1, and authenticates using a username/password
 challenge.
 .
 The OpenID protocol is documented at <URL:http://openid.net/>.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
#
# Copyright © 2007–2009 Ben Finney <ben+debian@benfinney.id.au>
# This is free software; you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License, version 2 or later.
# No warranty expressed or implied.
# See the file ‘/usr/share/common-licenses/GPL-2’ for details.

### export DH_VERBOSE=1


.PHONY: build
build:
	dh build

.PHONY: clean
clean:
	dh clean

.PHONY: install
install:
	dh install

.PHONY: binary-indep
binary-indep: build install
	dh binary-indep

.PHONY: binary-arch
binary-arch: build install

.PHONY: binary
binary: binary-indep binary-arch


# Local Variables:
# mode: makefile
# coding: utf-8
# End:
# vim: filetype=make fileencoding=utf-8 :

=== debian/watch ===
# debian/watch
# Debian uscan file for ‘gracie’ package.
# Manpage: uscan(1)

# Compulsory line, this is a version 3 file.
version=3

# Current version from Python Package Index site.
http://pypi.python.org/packages/source/g/gracie/gracie-(.+).tar.gz
